Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002521TestLinkRequirement Managementpublic2009-05-20 03:572010-05-01 20:35
Reportertalame 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 2 
Summary0002521: Test case coverage under the requirement container is static, i.e not href
DescriptionAt the bottom of each requirement, the coverage list all test cases associated to the requirement. However, the listed test cases are static. It would be more user friendly to allow the user to click on the test case item opening the testcase container in the same frame for viewing/editing.

reqView.tpl needs to updated to include th <a href>test case id link </a>

Current code:

        <td>
            <fieldset class="x-fieldset x-form-label-left"><legend class="legend_container">{$labels.coverage}</legend>
                      {section name=row loop=$gui->req.coverage}
              <span>{$gui->tcasePrefix|escape}{$gui->glueChar}{$gui->req.coverage[row].tc_external_id}{$gui->pieceSep}{$gui->req.coverage[row].name|escape}</span>

           {sectionelse}
            <span>{$labels.req_msg_notestcase}</span>
          {/section}

            </fieldset>
        </td>



TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007512)
talame (reporter)
2009-07-10 20:50

Resolved the issue by adding the following href code to reqView template" testlink/gui/templates/requirements/reqView.tpl. If the teamst disagree please let me know.

Thanks,

                lib/testcases/archiveData.php?targetTestCase={$gui->tcasePrefix|escape}{$gui->glueChar}{$gui->req.coverage[row].tc_external_id}&tcasePrefix=SPID-&edit=testcase&allow_edit=0

Coverage Section:
-----------------

{*Toufic Alamé: Added hyperlink reference to the requirement test case coverage*}
  <tr>
        <td>
            <fieldset class="x-fieldset x-form-label-left"><legend class="legend_container">{$labels.coverage}</legend>
                      {section name=row loop=$gui->req.coverage}
              <span>
                lib/testcases/archiveData.php?targetTestCase={$gui->tcasePrefix|escape}{$gui->glueChar}{$gui->req.coverage[row].tc_external_id}&tcasePrefix=SPID-&edit=testcase&allow_edit=0
              </span>

           {sectionelse}
            <span>{$labels.req_msg_notestcase}</span>
          {/section}

            </fieldset>
        </td>
  </tr>
(0007595)
Amaradana (reporter)
2009-07-17 13:17

i dont fine any href link. I tried the same code that you had given

{*Toufic Alamé: Added hyperlink reference to the requirement test case coverage*}
  <tr>
        <td>
            <fieldset class="x-fieldset x-form-label-left"><legend class="legend_container">{$labels.coverage}</legend>
                      {section name=row loop=$gui->req.coverage}
              <span>
                lib/testcases/archiveData.php?targetTestCase={$gui->tcasePrefix|escape}{$gui->glueChar}{$gui->req.coverage[row].tc_external_id}&tcasePrefix=SPID-&edit=testcase&allow_edit=0
              </span>

           {sectionelse}
            <span>{$labels.req_msg_notestcase}</span>
          {/section}

            </fieldset>
        </td>
  </tr>

it is not displaying the test cases nor it is maximixed.
(0007689)
talame (reporter)
2009-07-30 21:43

Amaradana..
I am not part of the testlink dev team. The modification were done locally on my server. You might wanna check with fman.
(0007693)
Amaradana (reporter)
2009-07-31 13:22

its alright thank you... I will try for my self too :)

- Issue History
Date Modified Username Field Change
2009-05-20 03:57 talame New Issue
2009-07-10 20:51 talame Note Added: 0007512
2009-07-10 23:40 fman Status new => assigned
2009-07-10 23:40 fman Assigned To => fman
2009-07-17 13:17 Amaradana Note Added: 0007595
2009-07-30 21:43 talame Note Added: 0007689
2009-07-31 13:22 Amaradana Note Added: 0007693
2009-08-03 15:17 fman Status assigned => resolved
2009-08-03 15:17 fman Fixed in Version => 1.9 (DEV)
2009-08-03 15:17 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker